.hidden {
  display: none;
}

:root {
  --color-bg: #99d8e1;
  --color-primary-dark: #313131;
  --color-card: #dd99e1;
  --color-thumbnail-bg: #cd8fd1;
  --color-accent: #ff5722;
  --color-accent-darker: #ff5722;
  --color-primary-light: #b1b1b1;
  --color-primary-lighter: #b1b1b1;
  --color-primary-lightest: #c1c1c1;
  --color-expired: #e1e1e1;
  --color-selection-bg: #eca7e0;
  --color-headline-color: #818181;
  --color-release-card-bg: #fcfcfc;
  --color-release-card-hover-bg: #fff;
  --color-release-card-variant-text: #afafaf;
  --color-release-card-list-price-text: #646361;
  --color-release-card-price-expired-border: #e1e1e1;
  --color-release-card-price-expired-text: #e1e1e1;
  --color-release-admin-bg: #fff;
  --color-release-link-border: #ddd;
  --color-release-price-text: #f5f5f5;
  --color-release-list-price-text: #ffb1f3;
  --color-release-price-expired-bg: #e1e1e1;
  --color-release-price-expired-text: #f5f5f5;
  --color-nav-bg: #f5f5f5;
  --color-nav-text: #313131;
  --color-nav-text-hover: var(--color-accent);
  --color-card-border: #efefef;
  --color-pagination-item-bg: #fcfcfc;
  --color-pagination-item-active-bg: #313131;
  --color-pagination-item-active-text: #f5f5f5;
  --color-pagination-item-hover-bg: #fff;
  --color-share-item-bg: #fcfcfc;
  --color-share-item-active-bg: #313131;
  --color-share-item-active-text: #f5f5f5;
  --color-share-item-hover-bg: #fff;
  --color-footer-bg: #fcfcfc;
  --color-form-message-error: #ff2020;
  --color-cookie-consent-bg: #e7e7e7;
  --color-cookie-consent-text: #f5f5f5;
}

[data-theme=dark] {
  --color-bg: #121212;
  --color-accent: #b9009c;
  --color-accent-darker: #c500a6;
  --color-primary-dark: #8f8f8f;
  --color-primary-light: #6f6f6f;
  --color-primary-lighter: #4f4f4f;
  --color-primary-lightest: #3f3f3f;
  --color-expired: #e1e1e1;
  --color-selection-bg: #eca7e0;
  --color-headline-color: #4f4f4f;
  --color-release-card-bg: #1e1e1e;
  --color-release-card-hover-bg: #1a1a1a;
  --color-release-card-variant-text: #505050;
  --color-releasecard--list-price-text: #424242;
  --color-release-card-price-expired-border: #2a2a2a;
  --color-release-card-price-expired-text: #363636;
  --color-release-admin-bg: #1c1c1c;
  --color-release-link-border: #363636;
  --color-release-price-text: #121212;
  --color-release-list-price-text: #560049;
  --color-release-price-expired-bg: #363636;
  --color-release-price-expired-text: #121212;
  --color-nav-bg: #121212;
  --color-nav-text: #8f8f8f;
  --color-nav-text-hover: var(--color-accent);
  --color-card-border: #282828;
  --color-pagination-item-bg: #1e1e1e;
  --color-pagination-item-active-bg: #313131;
  --color-pagination-item-active-text: #b3b3b3;
  --color-pagination-item-hover-bg: #1a1a1a;
  --color-share-item-bg: #1e1e1e;
  --color-share-item-active-bg: #313131;
  --color-share-item-hover-bg: #1a1a1a;
  --color-footer-bg: #1e1e1e;
  --color-cookie-consent-bg: #e7e7e7;
  --color-cookie-consent-text: #f5f5f5;
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  background: transparent;
  border: 0;
  box-sizing: border-box;
  font-weight: normal;
  margin: 0;
  outline: 0;
  padding: 0;
  text-rendering: optimizeLegibility;
  vertical-align: baseline;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

body {
  line-height: 1.6;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote::before,
blockquote::after,
q::before,
q::after {
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

a {
  text-decoration: none;
}

html {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  background: var(--color-bg);
  color: var(--color-primary-dark);
  font-family: "Archivo Black", sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.6;
  overflow-x: hidden;
}

::-moz-selection {
  background: var(--color-selection-bg);
}

::selection {
  background: var(--color-selection-bg);
}

a {
  transition: all .3s ease;
  color: var(--color-primary-dark);
  text-decoration: none;
  -webkit-tap-highlight-color: transparent;
}

img {
  display: block;
}

.hr {
  background: var(--color-primary-dark);
  border: 0;
  height: 1px;
  margin: 45px 0;
}

input {
  outline: none;
}

strong {
  font-weight: bold !important;
}

strong a {
  font-weight: bold;
}

::-moz-placeholder {
  color: var(--color-primary-dark);
  opacity: 1;
}

::placeholder {
  color: var(--color-primary-dark);
  opacity: 1;
}

.header {
  text-align: center;
  padding: 20px;
}

@media only screen and (min-width: 600px) {
  .header {
    padding: 30px;
  }
}

.logo {
  font-family: "Archivo Black", sans-serif;
  font-size: 28px;
  color: var(--color-primary-dark);
  display: inline-block;
  /* makes it fit content */
  background: #ffb802;
  padding: 0.5rem 1rem;
  border-radius: 25px;
  border: 5px solid #000;
  margin: 0 auto 0;
  text-transform: lowercase;
  box-shadow: 6px 6px 0 var(--color-primary-dark);
  line-height: 1;
  padding: 20px;
  text-decoration: none;
}

.logo:hover {
  box-shadow: 5px 5px 0 var(--color-primary-dark);
  transform: translateY(1px) translateX(1px);
}

@media only screen and (min-width: 600px) {
  .logo {
    font-size: 38px;
  }

  .logo span {
    font-size: 11px !important;
  }
}

@media only screen and (min-width: 800px) {
  .logo {
    font-size: 48px;
  }

  .logo span {
    font-size: 13px !important;
  }
}

.logo span {
  display: block;
  font-family: "Inter", sans-serif;
  font-size: 10px;
  text-align: right;
  text-transform: uppercase;
}

.nav {
  display: flex;
  gap: 20px;
  list-style: none;
  margin: 15px 0 0;
  padding: 0;
  justify-content: center;
  text-transform: uppercase;
  flex-wrap: wrap;
}

.nav li a {
  display: block;
  padding: 0;
  text-decoration: none;
}

.nav li a:hover {
  text-decoration: underline;
}

.cookie-consent {
  background: #fff;
  bottom: 0;
  display: none;
  font-size: 16px;
  padding: 30px;
  position: fixed;
  text-align: center;
  width: 100%;
}

.cookie-consent .text {
  display: inline-block;
}

.cookie-consent .button {
  background: var(--color-primary-dark);
  border-radius: 10px;
  color: #fff;
  cursor: pointer;
  display: block;
  margin: 20px auto 0;
  max-width: 200px;
  padding: 10px 20px;
}

@media only screen and (min-width: 768px) {
  .cookie-consent .button {
    display: inline-block;
    margin: 0 0 0 20px;
  }
}

.page {
  text-align: center;
  font-family: "Inter", sans-serif;
  font-size: 16px;
  line-height: 1.5;
}

.page p {
  margin: 0 0 30px;
}

.page h2 {
  margin: 0 0 30px;
}

.post-grid {
  -moz-column-gap: 40px;
       column-gap: 40px;
  display: grid;
  grid-template-columns: 1fr;
  list-style: none;
  row-gap: 50px;
  margin: 0;
  max-width: 1600px;
  margin: 0 auto;
}

@media only screen and (min-width: 500px) {
  .post-grid {
    grid-template-columns: 1fr 1fr;
  }
}

@media only screen and (min-width: 800px) {
  .post-grid {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media only screen and (min-width: 1200px) {
  .post-grid {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}

.post-grid li {
  display: flex;
}

.post-grid li .card {
  background: var(--color-card);
  border-radius: 25px;
  border: 5px solid var(--color-primary-dark);
  box-shadow: 6px 6px 0 var(--color-primary-dark);
  transition: transform 0.15s ease, box-shadow 0.15s ease;
  will-change: transform, box-shadow;
  padding: 15px;
}

.post-grid li .card:hover {
  box-shadow: 5px 5px 0 var(--color-primary-dark);
  transform: translateY(1px) translateX(1px);
}

.post-grid li .card .thumbnail-wrapper {
  background: var(--color-thumbnail-bg);
  align-items: center;
  aspect-ratio: 1;
  display: flex;
  justify-content: center;
  overflow: hidden;
  padding: 20px;
  border-radius: 15px;
}

.post-grid li .card .thumbnail-wrapper img {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
  display: block;
}

.post-grid li .card .details {
  font-family: "Archivo Black", sans-serif;
  font-style: normal;
  margin: 15px 0 0;
}

.post-grid li .card .details .price {
  text-align: center;
  font-size: 32px;
  font-weight: 400;
  line-height: 1;
  text-shadow: 1px 1px 0px rgba(255, 255, 255, 0.5411764706);
}

.post-grid li .card .details .price-old {
  text-align: center;
  font-size: 18px;
  font-weight: 400;
  text-decoration: line-through;
  line-height: 1;
  margin: 0 0 5px;
}

.post-grid li .card .details .price-info {
  font-family: "Inter", sans-serif;
  text-align: center;
  font-size: 9px;
  font-weight: 400;
  line-height: 1.2;
  margin: 5px 0 0;
}

.post-grid li .title {
  text-align: center;
  margin: 15px 0 0;
  font-size: 16px;
  line-height: 1.2;
  font-weight: 600;
}

.post {
  margin: 0 auto 30px;
  max-width: 600px;
  padding: 0 20px;
}

@media only screen and (min-width: 600px) {
  .post {
    padding: 0 30px;
  }
}

.post .card {
  background: var(--color-card);
  border-radius: 25px;
  border: 5px solid var(--color-primary-dark);
  box-shadow: 6px 6px 0 var(--color-primary-dark);
  transition: transform 0.15s ease, box-shadow 0.15s ease;
  will-change: transform, box-shadow;
  padding: 15px;
}

@media only screen and (min-width: 500px) {
  .post .card {
    padding: 30px;
  }
}

.post .card .image-wrapper {
  background: var(--color-thumbnail-bg);
  align-items: center;
  aspect-ratio: 1;
  display: flex;
  justify-content: center;
  overflow: hidden;
  padding: 20px;
  border-radius: 15px;
}

.post .card .image-wrapper img {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
  display: block;
}

.post .card .details {
  font-family: "Archivo Black", sans-serif;
  font-style: normal;
  margin: 30px 0 0;
}

.post .card .details .price {
  text-align: center;
  font-size: 42px;
  font-weight: 400;
  line-height: 1;
  text-shadow: 1px 1px 0px rgba(255, 255, 255, 0.5411764706);
}

.post .card .details .price-old {
  text-align: center;
  font-size: 22px;
  font-weight: 400;
  text-decoration: line-through;
  line-height: 1;
  margin: 0 0 5px;
}

.post .card .details .price-info {
  font-family: "Inter", sans-serif;
  text-align: center;
  font-size: 9px;
  font-weight: 400;
  line-height: 1.2;
  margin: 5px 0 0;
}

.post .title {
  text-align: center;
  font-size: 20px;
  line-height: 1.2;
  font-weight: 600;
  margin: 30px 0 0;
}

@media only screen and (min-width: 600px) {
  .post .title {
    font-size: 24px;
    font-weight: 700;
  }
}

.post p.excerpt {
  font-family: "Inter", sans-serif;
  text-align: center;
  font-size: 16px;
  line-height: 1.4;
  font-weight: 400;
  margin: 15px 0 0;
}

@media only screen and (min-width: 600px) {
  .post p.excerpt {
    font-size: 16px;
  }
}

.post .admin-links {
  text-align: center;
  margin: 10px 0 0;
  font-size: 14px;
  font-family: "Inter", sans-serif;
  font-weight: 400;
}

.post .admin-links a {
  color: var(--color-primary-dark);
  text-decoration: none;
}

.post .product-website {
  display: block;
  margin: 30px auto 0;
  text-align: center;
  color: var(--color-primary-dark);
  text-decoration: none;
  cursor: pointer;
  font-size: 18px;
  font-family: inherit;
  font-family: "Inter", sans-serif;
  font-weight: 400;
}

.post .buy-link {
  margin: 35px 0 0 0;
  background: #69d448;
  text-align: center;
  font-size: 20px;
  border-radius: 50px;
  color: var(--color-primary-dark);
  border: 3px solid var(--color-primary-dark);
  display: flex;
  font-weight: 600;
  line-height: 1;
  padding: 20px;
  box-shadow: 6px 6px 0 var(--color-primary-dark);
  align-items: center;
  justify-content: center;
  text-shadow: 1px 1px 0px rgba(255, 255, 255, 0.5411764706);
}

@media only screen and (min-width: 600px) {
  .post .buy-link {
    font-size: 26px;
  }
}

.post .buy-link:hover {
  box-shadow: 5px 5px 0 var(--color-primary-dark);
  transform: translateY(1px) translateX(1px);
}

.post .share-button {
  display: block;
  margin: 50px auto 0;
  color: var(--color-primary-dark);
  /* link color */
  text-decoration: none;
  cursor: pointer;
  font-size: 18px;
  background: none;
  border: none;
  padding: 0;
  font-family: inherit;
  text-align: center;
  font-family: "Inter", sans-serif;
  font-weight: 400;
}

.post .share-button svg {
  fill: var(--color-primary-dark);
  height: 32px;
  width: 32px;
}

.instagram-post {
  padding: 60px;
  margin: 0 auto;
}

.instagram-post .instagram-post-card {
  background: var(--color-card);
  border-radius: 25px;
  border: 5px solid var(--color-primary-dark);
  box-shadow: 6px 6px 0 var(--color-primary-dark);
  transition: transform 0.15s ease, box-shadow 0.15s ease;
  will-change: transform, box-shadow;
  padding: 60px;
}

.instagram-post .instagram-post-card .title {
  font-family: "Inter", sans-serif;
  font-family: "Archivo Black", sans-serif;
  font-style: normal;
  text-align: center;
  font-size: 32px;
  line-height: 1.2;
  font-weight: 700;
  min-height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.instagram-post .instagram-post-card .image-wrapper {
  background: var(--color-thumbnail-bg);
  align-items: center;
  aspect-ratio: 1;
  display: flex;
  justify-content: center;
  overflow: hidden;
  padding: 60px;
  border-radius: 15px;
  margin: 39px 0;
}

.instagram-post .instagram-post-card .image-wrapper img {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
  display: block;
}

.instagram-post .instagram-post-card .details {
  font-family: "Archivo Black", sans-serif;
  font-style: normal;
}

.instagram-post .instagram-post-card .details .price {
  text-align: center;
  font-size: 86px;
  font-weight: 400;
  line-height: 1;
  text-shadow: 1px 1px 0px #ffb802;
}

.instagram-post .instagram-post-card .details .price-old {
  color: #5c4b5d;
  text-align: center;
  font-size: 40px;
  font-weight: 400;
  text-decoration: line-through;
  line-height: 1;
  margin: 0 0 5px;
}

.instagram-post .instagram-post-card .logo-icon {
  display: block;
  height: 40px;
  width: 40px;
  margin: 30px auto 0;
}

.instagram-post .instagram-post-card .logo-icon img {
  height: 40px;
  width: 40px;
}

.section-title {
  font-size: 24px;
  line-height: 1.2;
  margin: 0 0 30px;
  text-transform: capitalize;
  font-weight: 400;
  text-align: center;
}

.section-title span {
  display: inline-block;
}

@media only screen and (min-width: 600px) {
  .section-title {
    line-height: 1.2;
  }
}

.primary-content,
.secondary-content,
.tertiary-content {
  padding: 0 20px;
}

@media only screen and (min-width: 600px) {
  .primary-content,
  .secondary-content,
  .tertiary-content {
    padding: 0 30px;
  }
}

.primary-content {
  padding-bottom: 30px;
}

.secondary-content {
  padding-top: 30px;
  padding-bottom: 60px;
  background: #8ed0d9;
}

.tertiary-content {
  padding-top: 30px;
  padding-bottom: 60px;
  background: #84c3cc;
}

.footer {
  padding: 30px;
  text-align: center;
}

.nav-footer {
  display: flex;
  -moz-column-gap: 20px;
       column-gap: 20px;
  row-gap: 10px;
  list-style: none;
  margin: 15px 0 0;
  padding: 0;
  justify-content: center;
  text-transform: capitalize;
  font-size: 12px;
  flex-wrap: wrap;
}

.nav-footer li a {
  display: block;
  padding: 0;
  text-decoration: underline;
}

.disclaimer-footer {
  color: var(--color-primary-dark);
  font-size: 12px;
  margin: 30px 0 0;
  text-align: center;
  font-family: "Inter", sans-serif;
}

.disclaimer-footer p {
  margin: 0 0 10px;
}

.disclaimer-footer p:last-child {
  margin: 0;
}

.social-media-icons {
  display: flex;
  gap: 20px;
  list-style: none;
  margin: 0 0 30px;
  padding: 0;
  justify-content: center;
}

.social-media-icons li a {
  display: block;
  padding: 0;
  text-decoration: none;
  border: 3px solid var(--color-primary-dark);
  border-radius: 8px;
  padding: 8px;
  background: #ffb802;
  box-shadow: 2px 2px 0 var(--color-primary-dark);
}

.social-media-icons li a:hover {
  box-shadow: 1px 1px 0 var(--color-primary-dark);
  transform: translateY(1px) translateX(1px);
}

.social-media-icons li a svg {
  transition: all .3s ease;
  display: block;
  fill: var(--color-primary-dark);
  height: 30px;
  width: 30px;
}

